Index: dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/context_icosa.xml
===================================================================
--- dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/context_icosa.xml	(revision 4077)
+++ dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/context_icosa.xml	(revision 4077)
@@ -0,0 +1,195 @@
+<context id="icosagcm" >
+  <calendar type="d360" start_date="2000-01-01 00:00:00" time_origin="2000-01-01 00:00:00"/>
+  
+  <field_definition src="./field_def_icosa.xml" />
+
+<!--  <file_definition src="./filedef_debug.xml" /> -->     
+  <file_definition src="./filedef_dcmip2016.xml" /> 
+  <file_definition src="./file_def_histday_icosa.xml"/>
+
+  <!------------------------------------ input fields --------------------------------------->     
+  <field_definition>
+
+     <field_group id="read_fields" enabled="false" operation="instant">
+      
+        <field id="relief_db" field_ref="relief_reg" domain_ref="from_relief" read_access="true"  />
+        <field_group domain_ref="from_ecdyn" read_access="true" >
+           <field id="ps_db" field_ref="ps_reg" />
+           <field id="z_db"  field_ref="z_reg"  />
+           <field id="ts_db" field_ref="ts_reg" />
+           <field_group axis_ref="lev_ecdyn" >
+              <field id="u_db" field_ref="u_reg"  />
+              <field id="v_db" field_ref="v_reg"   />
+              <field id="temp_db" field_ref="temp_reg" />
+              <field id="q_db"    field_ref="q_reg"    />
+           </field_group>
+        </field_group>
+    
+     </field_group>
+
+  </field_definition> 
+
+
+  <file_definition type="one_file" par_access="collective">
+
+    <file id="output" name="output" enabled=".FALSE."  output_freq="2h" sync_freq="2h" output_level="10" >
+      <field_group group_ref="standard_output"/>
+    </file>
+
+    <!------------------------------------ start/restart files --------------------------------------->     
+    <file id="restart" name="restart" enabled="true">
+       <field_group id="group_restart" operation="once"> 
+          <field id="it_restart" name="iteration"  grid_ref="scalar" />
+          <field id="q_restart" name="q"  grid_ref="grid_q" />
+          <field_group domain_ref="i"> 
+             <field id="ps_restart" name="ps" />
+             <field id="phis_restart" name="phis" />
+             <field_group axis_ref="lev" >
+                <field id="theta_rhodz_restart" name="theta_rhodz" />
+                <field id="u_restart" name="u" domain_ref="u"/>
+                <field id="ulon_restart" name="ulon" />
+                <field id="ulat_restart" name="ulat" />
+             </field_group>
+          </field_group>
+       </field_group>
+    </file>
+
+    <file id="start" name="start" enabled="true" mode="write">
+       <field_group id="group_start" operation="once"> 
+          <field id="it_start" name="iteration"  grid_ref="scalar" />
+          <field id="q_start" name="q"  grid_ref="grid_q" />
+          <field_group domain_ref="i"> 
+             <field id="ps_start" name="ps" />
+             <field id="phis_start" name="phis" />
+             <field_group axis_ref="lev" >
+                <field id="theta_rhodz_start" name="theta_rhodz" />
+                <field id="u_start" name="u" domain_ref="u"/>
+                <field id="ulon_start" name="ulon" />
+                <field id="ulat_start" name="ulat" />
+             </field_group>
+          </field_group>
+       </field_group>
+    </file>
+
+    <!--------------------------------------- Input files --------------------------------------->     
+    <file_group id="read_files" enabled="false" >
+
+       <file id="relief" name="Relief" type="one_file" mode="read" output_freq="10ts">
+           <field id="relief_reg" name="RELIEF" domain_ref="domain_relief" operation="instant" />
+       </file>
+      
+       <file id="ECDYN"  name="ECDYN" type="one_file" mode="read" output_freq="10ts">
+          <field_group domain_ref="domain_ecdyn" operation="instant">
+             <field id="ps_reg"   name="SP"      />
+             <field id="z_reg"    name="Z"       />
+             <field id="ts_reg"   name="ST"      />
+             <field_group axis_ref="lev_ecdyn"   >
+                <field id="u_reg"    name="U"     />
+                <field id="v_reg"    name="V"     />
+                <field id="temp_reg" name="TEMP"  />
+                <field id="q_reg"    name="R"     />
+             </field_group>
+          </field_group>
+       </file>
+    
+    </file_group>    
+  </file_definition>
+
+  <!--------------------------------------- Axes --------------------------------------->
+    
+  <axis_definition>
+    <axis id="lev" name="lev" positive="down" standard_name="atmopshere_hybrid_sigma_pressure_coordinate" long_name="hybrid level at midpoints" />
+    <axis id="levp1" name="ilev"  unit="level" positive="down" standard_name="atmopshere_hybride_sigma_pressure_coordinate" long_name="hybrid level at interface" />
+    <axis id="lev_pressure" positive="down"  n_glo="2" unit="Pa" value="(0,1)[85000 50000]" >
+      <interpolate_axis order="1" coordinate="p" />
+    </axis>    
+    <axis id="nq" name="nq" n_glo="5" value="(0,4)[1 2 3 4 5]"/>
+    <axis id="lev_ecdyn" />
+  </axis_definition>    
+
+  <!--------------------------------------- Domains --------------------------------------->
+  
+  <domain_definition>
+    
+    <!--------------------------------- Domains : icosa --------------------------------->
+     <domain_group id="i"> 
+
+       <domain id="i" name="mesh"/>     
+    
+       <domain id="from_relief" >
+          <interpolate_domain/>
+       </domain>
+      
+       <domain id="from_ecdyn" >
+          <interpolate_domain/>
+       </domain>
+
+     </domain_group> 
+
+     <domain id="v" />
+     <domain id="u" />
+     
+    <!--------------------------------- Domains : input --------------------------------->
+     <domain id="domain_relief" type="rectilinear" >
+        <generate_rectilinear_domain />
+     </domain>
+
+     <domain id="domain_ecdyn" type="rectilinear" >
+        <generate_rectilinear_domain />
+     </domain>
+
+    <!--------------------------------- Domains : output --------------------------------->
+     <domain id="regular_half_degree" type="rectilinear" ni_glo="720" nj_glo="360" >
+       <generate_rectilinear_domain />
+       <interpolate_domain order="1"/>
+     </domain> 
+     
+     <domain id="regular_one_degree" type="rectilinear" ni_glo="360" nj_glo="180" >
+       <generate_rectilinear_domain />
+       <interpolate_domain order="1"/>
+     </domain> 
+     
+     <domain id="regular_two_degree" type="rectilinear" ni_glo="180" nj_glo="90" >
+       <generate_rectilinear_domain />
+       <interpolate_domain order="1"/>
+     </domain> 
+
+    <domain id="dom_96_95" ni_glo="96" nj_glo="95" type="rectilinear"  >
+      <generate_rectilinear_domain/>
+      <interpolate_domain order="1"/>
+    </domain>
+
+    <domain id="dom_144_142" ni_glo="144" nj_glo="142" type="rectilinear"  >
+      <generate_rectilinear_domain/>
+      <interpolate_domain order="1"/>
+    </domain>
+
+    <domain id="dom_512_360" ni_glo="512" nj_glo="360" type="rectilinear"  >
+      <generate_rectilinear_domain/>
+      <interpolate_domain order="1"/>
+    </domain>
+
+    <domain id="dom_out" domain_ref="dom_144_142"/>
+     
+  </domain_definition>    
+  
+  <!--------------------------------------- Grids --------------------------------------->
+  <grid_definition>    
+    <grid id="scalar">
+      <scalar />
+    </grid>
+    
+    <grid id="grid_q">
+      <domain domain_ref="i" />
+      <axis axis_ref="lev" />
+      <axis axis_ref="nq" />
+    </grid >
+
+    <grid id="grid_q_out">
+      <domain domain_ref="dom_out" />
+      <axis axis_ref="lev" />
+      <axis axis_ref="nq" />
+    </grid >
+
+  </grid_definition>   
+</context>
Index: dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/context_lmdz.xml
===================================================================
--- dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/context_lmdz.xml	(revision 4067)
+++ dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/context_lmdz.xml	(revision 4077)
@@ -167,38 +167,48 @@
     </domain_group>
 
-    <domain id="dom_regular" ni_glo="144" nj_glo="142" type="rectilinear"  >
+    <domain id="domain_ecphy"  type="rectilinear" >
+       <generate_rectilinear_domain /> 
+    </domain>
+
+    <domain id="domain_landiceref"  type="rectilinear" >
+       <generate_rectilinear_domain /> 
+    </domain>
+
+    <domain id="domain_relief"  type="rectilinear" >
+       <generate_rectilinear_domain /> 
+    </domain>
+ 
+    <domain id="domain_limit"  type="rectilinear" >
+       <generate_rectilinear_domain /> 
+    </domain>
+
+    <domain id="domain_limit_amip"  type="rectilinear" >
+       <generate_rectilinear_domain /> 
+    </domain>
+
+    <domain id="domain_ozone" type="rectilinear" >
+       <generate_rectilinear_domain /> 
+    </domain>
+
+    <domain id="domain_orography" type="rectilinear" >
+       <generate_rectilinear_domain /> 
+    </domain>
+    
+    <domain id="dom_96_95" ni_glo="96" nj_glo="95" type="rectilinear"  >
       <generate_rectilinear_domain/>
       <interpolate_domain order="1"/>
     </domain>
 
-    <domain id="domain_ecphy"  type="rectilinear" >
-       <generate_rectilinear_domain /> 
-    </domain>
-
-    <domain id="domain_landiceref"  type="rectilinear" >
-       <generate_rectilinear_domain /> 
-    </domain>
-
-    <domain id="domain_relief"  type="rectilinear" >
-       <generate_rectilinear_domain /> 
-    </domain>
- 
-    <domain id="domain_limit"  type="rectilinear" >
-       <generate_rectilinear_domain /> 
-    </domain>
-
-    <domain id="domain_limit_amip"  type="rectilinear" >
-       <generate_rectilinear_domain /> 
-    </domain>
-
-    <domain id="domain_ozone" type="rectilinear" >
-       <generate_rectilinear_domain /> 
-    </domain>
-
-    <domain id="domain_orography" type="rectilinear" >
-       <generate_rectilinear_domain /> 
-    </domain>
-    
-    <domain id="dom_out" domain_ref="dom_regular"/>
+    <domain id="dom_144_142" ni_glo="144" nj_glo="142" type="rectilinear"  >
+      <generate_rectilinear_domain/>
+      <interpolate_domain order="1"/>
+    </domain>
+
+    <domain id="dom_512_360" ni_glo="512" nj_glo="360" type="rectilinear"  >
+      <generate_rectilinear_domain/>
+      <interpolate_domain order="1"/>
+    </domain>
+
+    <domain id="dom_out" domain_ref="dom_144_142"/>
  
   </domain_definition>
Index: dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/field_def.xml
===================================================================
--- dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/field_def.xml	(revision 4067)
+++ 	(revision )
@@ -1,85 +1,0 @@
-<field_definition level="1" enabled=".TRUE." operation="instant">
-  
-  <field_group id="standard_output"> 
-    
-    <field id="timestep" grid_ref="scalar" unit="s"/>
-    <field id="preff" grid_ref="scalar"    unit="Pa"/>
-    <field id="ap" axis_ref="levp1"   long_name="hybrid A coefficient at layer interface" />
-    <field id="bp" axis_ref="levp1"  long_name="hybrid B coefficient at layer interface" />
-    <field id="mid_ap" axis_ref="lev"   long_name="hybrid A coefficient at midpoints" />
-    <field id="mid_bp" axis_ref="lev"  long_name="hybrid B coefficient at midpoints" />
-    
-    <field_group domain_ref="i">
-      <field id="ps" />
-      <field id="dps"  />
-      <field id="Ai" />
-      <field id="phis" />
-      <field id="phi" />
-      <field id="precl" />
-      <field id="Q1_col_int" />     
-      <field id="Q2_col_int" />     
-      <field id="ps_init" />
-      
-      <field_group axis_ref="lev"> 
-        <field id="mass" />
-        <field id="p" />
-        <field id="dmass"/>
-        <field id="theta" />
-        <field id="dyn_q" />
-        <field id="pk"/>
-        <field id="ulon"/>
-        <field id="ulat"/>
-        <field id="uz"/>
-        <field id="omega"/>
-        <field id="temp"/>
-
-<!--        
-        <field id="q1"/>
-        <field id="q2"/>
-        <field id="q3"/>
-        <field id="q4"/>
-        <field id="q5"/>
--->
-        
-        <field id="mass_init" />
-        <field id="p_init" />
-        <field id="theta_init" />
-        <field id="dyn_q_init" />
-        <field id="ulon_init"/>
-        <field id="ulat_init"/>
-        <field id="uz_init"/>
-        <field id="temp_init"/>
-        
-      </field_group>
-      <field id="u850" />
-      <field id="v850" />
-      <field id="w850" />
-      <field id="t850" />
-      <field id="omega850"/>                  
-      <field id="u500" />
-      <field id="v500" />
-      <field id="w500" />
-      <field id="t500" />
-      <field id="omega500"/>                  
-      <field id="SST"/>
-      
-      <field id="ulon_850_500" field_ref="p" axis_ref="lev_pressure" />
-      
-      <field_group axis_ref="levp1"> 
-        <field id="geopot"/>
-        <field id="geopot_init"/>
-      </field_group>
-    </field_group> 
-    <field id="q_init" grid_ref="grid_q" />    
-    <field id="q" grid_ref="grid_q" />    
-    
-    <field_group domain_ref="v" axis_ref="lev">
-      <field id="vort" />
-      <field id="pv" />
-    </field_group>
-    
-  </field_group>
-  
-  
-</field_definition>
-
Index: dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/field_def_icosa.xml
===================================================================
--- dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/field_def_icosa.xml	(revision 4077)
+++ dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/field_def_icosa.xml	(revision 4077)
@@ -0,0 +1,108 @@
+<field_definition level="1" enabled=".TRUE." operation="instant">
+  
+  <field_group id="standard_output"> 
+    
+    <field id="timestep" grid_ref="scalar" unit="s"/>
+    <field id="preff" grid_ref="scalar"    unit="Pa"/>
+    <field id="ap" axis_ref="levp1"   long_name="hybrid A coefficient at layer interface" />
+    <field id="bp" axis_ref="levp1"  long_name="hybrid B coefficient at layer interface" />
+    <field id="mid_ap" axis_ref="lev"   long_name="hybrid A coefficient at midpoints" />
+    <field id="mid_bp" axis_ref="lev"  long_name="hybrid B coefficient at midpoints" />
+    
+    <field_group domain_ref="i">
+      <field id="ps" />
+      <field id="dps"  />
+      <field id="Ai" />
+      <field id="phis" />
+      <field id="phi" />
+      <field id="precl" />
+      <field id="Q1_col_int" />     
+      <field id="Q2_col_int" />     
+      <field id="ps_init" />
+      
+      <field_group axis_ref="lev"> 
+        <field id="mass" />
+        <field id="p" />
+        <field id="dmass"/>
+        <field id="theta" />
+        <field id="dyn_q" />
+        <field id="pk"/>
+        <field id="ulon"/>
+        <field id="ulat"/>
+        <field id="uz"/>
+        <field id="omega"/>
+        <field id="temp"/>
+
+        <field id="mass_t"           long_name="Time-averaged air mass"   unit="kg/m2"/>
+        <field id="massflux_lon"     long_name="Time-averaged air mass flux, zonal"   unit="kg/m/s"/>
+        <field id="massflux_lat"     long_name="Time-averaged air mass flux, meridional"   unit="kg/m/s"/>
+
+        <field id="epot_t"           long_name="Time-averaged potential energ"   unit="J/m2"/>
+        <field id="epotflux_lon"     long_name="Time-averaged potential energy flux, zonal"   unit="J/m/s"/>
+        <field id="epotflux_lat"     long_name="Time-averaged potential energy flux, meridional"   unit="J/m/s"/>
+
+        <field id="ekin_t"           long_name="Time-averaged kinetic energ"   unit="J/m2"/>
+        <field id="ekinflux_lon"     long_name="Time-averaged kinetic energy flux, zonal"   unit="J/m/s"/>
+        <field id="ekinflux_lat"     long_name="Time-averaged kinetic energy flux, meridional"   unit="J/m/s"/>
+	
+        <field id="enthalpy_t"       long_name="Time-averaged enthalpy"   unit="J/m2"/>
+        <field id="enthalpyflux_lon" long_name="Time-averaged enthalpy flux, zonal"   unit="J/m/s"/>
+        <field id="enthalpyflux_lat" long_name="Time-averaged enthalpy flux, meridional"   unit="J/m/s"/>
+
+<!--        
+        <field id="q1"/>
+        <field id="q2"/>
+        <field id="q3"/>
+        <field id="q4"/>
+        <field id="q5"/>
+-->
+        
+        <field id="mass_init" />
+        <field id="p_init" />
+        <field id="theta_init" />
+        <field id="dyn_q_init" />
+        <field id="ulon_init"/>
+        <field id="ulat_init"/>
+        <field id="uz_init"/>
+        <field id="temp_init"/>
+        
+      </field_group>
+    
+      <field id="u850" />
+      <field id="v850" />
+      <field id="w850" />
+      <field id="t850" />
+      <field id="omega850"/>                  
+      <field id="u500" />
+      <field id="v500" />
+      <field id="w500" />
+      <field id="t500" />
+      <field id="omega500"/>                  
+      <field id="SST"/>
+      
+      <field id="ulon_850_500" field_ref="p" axis_ref="lev_pressure" />
+      
+      <field_group axis_ref="levp1"> 
+        <field id="geopot"/>
+        <field id="geopot_init"/>
+      </field_group>
+    </field_group> 
+
+    <field_group grid_ref="grid_q">
+      <field id="q_init" />
+      <field id="q" />
+      <field id="qmass_t" long_name="Time-averaged tracer mass"   unit="kg/m2"/>
+      <field id="qflux_lon" long_name="Time-averaged tracer mass flux, zonal"   unit="kg/m/s"/>
+      <field id="qflux_lat" long_name="Time-averaged tracer mass flux, meridional"   unit="kg/m/s"/>
+    </field_group> 
+    
+    <field_group domain_ref="v" axis_ref="lev">
+      <field id="vort" />
+      <field id="pv" />
+    </field_group>
+    
+  </field_group>
+  
+  
+</field_definition>
+
Index: dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histday_icosa.xml
===================================================================
--- dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histday_icosa.xml	(revision 4077)
+++ dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histday_icosa.xml	(revision 4077)
@@ -0,0 +1,45 @@
+<file_definition >
+    <file_group id="defile">
+
+        <file id="histday_icosa" name="histday_icosa" output_freq="1d" sync_freq="10d" output_level="2" enabled="true" timeseries="none" time_counter="none">
+
+          <field_group domain_ref="dom_out" ts_enabled="true" freq_op="1d" expr="@this">
+            
+            <field_group operation="average" >
+
+              <!-- Transport diagnostics -->
+	      <field_group level="1" >
+		<field field_ref="mass_t"/>
+		<field field_ref="massflux_lon"/>
+		<field field_ref="massflux_lat"/>
+	      
+		<field field_ref="epot_t"/>
+		<field field_ref="epotflux_lon"/>
+		<field field_ref="epotflux_lat"/>
+	      
+		<field field_ref="ekin_t"/>
+		<field field_ref="ekinflux_lon"/>
+		<field field_ref="ekinflux_lat"/>
+	      
+		<field field_ref="enthalpy_t"/>
+		<field field_ref="enthalpyflux_lon"/>
+		<field field_ref="enthalpyflux_lat"/>
+	      </field_group>
+
+            </field_group>
+
+          </field_group>
+	  
+	  
+	  <field_group grid_ref="grid_q_out"  ts_enabled="true" freq_op="1d" expr="@this">
+            <field_group operation="average" >
+              <field field_ref="q" name="q"  />
+              <field field_ref="qmass_t"/>
+              <field field_ref="qflux_lon"/>
+              <field field_ref="qflux_lat"/>
+	    </field_group>
+	  </field_group>
+	  
+        </file>
+    </file_group>
+</file_definition>
Index: dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/icosa.xml
===================================================================
--- dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/icosa.xml	(revision 4067)
+++ 	(revision )
@@ -1,160 +1,0 @@
-<context id="icosagcm" >
-  <calendar type="d360" start_date="2000-01-01 00:00:00" time_origin="2000-01-01 00:00:00"/>
-  
-  <field_definition src="./field_def.xml" />
-
-<!--  <file_definition src="./filedef_debug.xml" /> -->     
-  <file_definition src="./filedef_dcmip2016.xml" /> 
-
-  <field_definition>
-
-     <field_group id="read_fields" enabled="false" operation="instant">
-      
-        <field id="relief_db" field_ref="relief_reg" domain_ref="from_relief" read_access="true"  />
-        <field_group domain_ref="from_ecdyn" read_access="true" >
-           <field id="ps_db" field_ref="ps_reg" />
-           <field id="z_db"  field_ref="z_reg"  />
-           <field id="ts_db" field_ref="ts_reg" />
-           <field_group axis_ref="lev_ecdyn" >
-              <field id="u_db" field_ref="u_reg"  />
-              <field id="v_db" field_ref="v_reg"   />
-              <field id="temp_db" field_ref="temp_reg" />
-              <field id="q_db"    field_ref="q_reg"    />
-           </field_group>
-        </field_group>
-    
-     </field_group>
-
-  </field_definition> 
-
-
-  <file_definition type="one_file" par_access="collective">
-
-    <file id="output" name="output" enabled=".FALSE."  output_freq="2h" sync_freq="2h" output_level="10" >
-      <field_group group_ref="standard_output"/>
-    </file>
-
-    <file id="restart" name="restart" enabled="true">
-       <field_group id="group_restart" operation="once"> 
-          <field id="it_restart" name="iteration"  grid_ref="scalar" />
-          <field id="q_restart" name="q"  grid_ref="grid_q" />
-          <field_group domain_ref="i"> 
-             <field id="ps_restart" name="ps" />
-             <field id="phis_restart" name="phis" />
-             <field_group axis_ref="lev" >
-                <field id="theta_rhodz_restart" name="theta_rhodz" />
-                <field id="u_restart" name="u" domain_ref="u"/>
-                <field id="ulon_restart" name="ulon" />
-                <field id="ulat_restart" name="ulat" />
-             </field_group>
-          </field_group>
-       </field_group>
-    </file>
-
-    <file id="start" name="start" enabled="true" mode="write">
-       <field_group id="group_start" operation="once"> 
-          <field id="it_start" name="iteration"  grid_ref="scalar" />
-          <field id="q_start" name="q"  grid_ref="grid_q" />
-          <field_group domain_ref="i"> 
-             <field id="ps_start" name="ps" />
-             <field id="phis_start" name="phis" />
-             <field_group axis_ref="lev" >
-                <field id="theta_rhodz_start" name="theta_rhodz" />
-                <field id="u_start" name="u" domain_ref="u"/>
-                <field id="ulon_start" name="ulon" />
-                <field id="ulat_start" name="ulat" />
-             </field_group>
-          </field_group>
-       </field_group>
-    </file>
-
-    <file_group id="read_files" enabled="false" >
-
-       <file id="relief" name="Relief" type="one_file" mode="read" output_freq="10ts">
-           <field id="relief_reg" name="RELIEF" domain_ref="domain_relief" operation="instant" />
-       </file>
-      
-       <file id="ECDYN"  name="ECDYN" type="one_file" mode="read" output_freq="10ts">
-          <field_group domain_ref="domain_ecdyn" operation="instant">
-             <field id="ps_reg"   name="SP"      />
-             <field id="z_reg"    name="Z"       />
-             <field id="ts_reg"   name="ST"      />
-             <field_group axis_ref="lev_ecdyn"   >
-                <field id="u_reg"    name="U"     />
-                <field id="v_reg"    name="V"     />
-                <field id="temp_reg" name="TEMP"  />
-                <field id="q_reg"    name="R"     />
-             </field_group>
-          </field_group>
-       </file>
-    
-    </file_group>    
-  </file_definition>
-    
-  <axis_definition>
-    <axis id="lev" name="lev" positive="down" standard_name="atmopshere_hybrid_sigma_pressure_coordinate" long_name="hybrid level at midpoints" />
-    <axis id="levp1" name="ilev"  unit="level" positive="down" standard_name="atmopshere_hybride_sigma_pressure_coordinate" long_name="hybrid level at interface" />
-    <axis id="lev_pressure" positive="down"  n_glo="2" unit="Pa" value="(0,1)[85000 50000]" >
-      <interpolate_axis order="1" coordinate="p" />
-    </axis>    
-    <axis id="nq" name="nq" n_glo="5" value="(0,4)[1 2 3 4 5]"/>
-    <axis id="lev_ecdyn" />
-  </axis_definition>    
-  
-  <domain_definition>
-    
-     <domain_group id="i"> 
-
-       <domain id="i" name="mesh"/>     
-    
-       <domain id="from_relief" >
-          <interpolate_domain/>
-       </domain>
-      
-       <domain id="from_ecdyn" >
-          <interpolate_domain/>
-       </domain>
-
-     </domain_group> 
-
-     <domain id="v" />
-     <domain id="u" />
-     
-     <domain id="regular_half_degree" type="rectilinear" ni_glo="720" nj_glo="360" >
-       <generate_rectilinear_domain />
-       <interpolate_domain order="1"/>
-     </domain> 
-     
-     <domain id="regular_one_degree" type="rectilinear" ni_glo="360" nj_glo="180" >
-       <generate_rectilinear_domain />
-       <interpolate_domain order="1"/>
-     </domain> 
-     
-     <domain id="regular_two_degree" type="rectilinear" ni_glo="180" nj_glo="90" >
-       <generate_rectilinear_domain />
-       <interpolate_domain order="1"/>
-     </domain> 
-
-     <domain id="domain_relief" type="rectilinear" >
-        <generate_rectilinear_domain />
-     </domain>
-
-     <domain id="domain_ecdyn" type="rectilinear" >
-        <generate_rectilinear_domain />
-     </domain>
-     
-  </domain_definition>    
-  
-  <grid_definition>    
-    <grid id="scalar">
-      <scalar />
-    </grid>
-    
-    <grid id="grid_q">
-      <domain domain_ref="i" />
-      <axis axis_ref="lev" />
-      <axis axis_ref="nq" />
-    </grid >
-
-  </grid_definition>   
-</context>
Index: dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/iodef.xml
===================================================================
--- dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/iodef.xml	(revision 4067)
+++ dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/iodef.xml	(revision 4077)
@@ -19,5 +19,5 @@
 	
 
-        <context id="icosagcm" src="./icosa.xml" /> 
+        <context id="icosagcm" src="./context_icosa.xml" /> 
 	<context id="LMDZ" src="./context_lmdz.xml"/>
 
Index: dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/run_icosa.def
===================================================================
--- dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/run_icosa.def	(revision 4067)
+++ dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/run_icosa.def	(revision 4077)
@@ -38,4 +38,5 @@
 
 itau_check_conserv=100
+diagflux_on=.TRUE.
 
 # ---------------------------------- Misc --------------------------------