Index: dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/field_def_lmdz.xml
===================================================================
--- dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/field_def_lmdz.xml	(revision 4077)
+++ dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/field_def_lmdz.xml	(revision 4078)
@@ -30,4 +30,7 @@
         <field id="t2m_min"    long_name="Temp 2m min"    unit="K" operation="minimum"/>
         <field id="t2m_max"    long_name="Temp 2m max"    unit="K" operation="maximum"/>
+	<field id="tas" field_ref="t2m" />
+	<field id="tasmin" field_ref="t2m_min" />
+	<field id="tasmax" field_ref="t2m_max" />
         <field id="t2m_ter"    long_name="Temp 2m ter"    unit="K" />
         <field id="t2m_max_mon"   long_name="Monthly average max 2m temperature" unit="K" />
Index: dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histLES_lmdz.xml
===================================================================
--- dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histLES_lmdz.xml	(revision 4077)
+++ dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histLES_lmdz.xml	(revision 4078)
@@ -21,7 +21,7 @@
                 <field field_ref="slp" level="10" />
                 <field field_ref="tsol" level="10" />
-                <field field_ref="t2m" level="10" />
-                <field field_ref="t2m_min" level="10" operation="minimum" />
-                <field field_ref="t2m_max" level="10" operation="maximum" />
+                <field field_ref="tas" level="10" />
+                <field field_ref="tasmin" level="10" operation="minimum" />
+                <field field_ref="tasmax" level="10" operation="maximum" />
                 <field field_ref="t2m_ter" level="10" />
                 <field field_ref="t2m_lic" level="10" />
Index: dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histday_lmdz.xml
===================================================================
--- dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histday_lmdz.xml	(revision 4077)
+++ dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histday_lmdz.xml	(revision 4078)
@@ -35,7 +35,7 @@
                 <field field_ref="slp" level="1" />
                 <field field_ref="tsol" level="1"  />
-                <field field_ref="t2m" level="1"  />
-                <field field_ref="t2m_min" level="1" operation="minimum"  />
-                <field field_ref="t2m_max" level="1" operation="maximum"  />
+                <field field_ref="tas" level="1"  />
+                <field field_ref="tasmin" level="1" operation="minimum"  />
+                <field field_ref="tasmax" level="1" operation="maximum"  />
                 <field field_ref="t2m_ter" level="6"  />
                 <field field_ref="t2m_lic" level="6"  />
Index: dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histhf_lmdz.xml
===================================================================
--- dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histhf_lmdz.xml	(revision 4077)
+++ dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histhf_lmdz.xml	(revision 4078)
@@ -21,7 +21,7 @@
                 <field field_ref="slp" level="10" />
                 <field field_ref="tsol" level="5" />
-                <field field_ref="t2m" level="5" />
-                <field field_ref="t2m_min" level="10" operation="minimum" />
-                <field field_ref="t2m_max" level="10" operation="maximum" />
+                <field field_ref="tas" level="5" />
+                <field field_ref="tasmin" level="10" operation="minimum" />
+                <field field_ref="tasmax" level="10" operation="maximum" />
                 <field field_ref="t2m_ter" level="10" />
                 <field field_ref="t2m_lic" level="10" />
Index: dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histins_lmdz.xml
===================================================================
--- dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histins_lmdz.xml	(revision 4077)
+++ dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histins_lmdz.xml	(revision 4078)
@@ -20,7 +20,7 @@
                 <field field_ref="slp" level="1" />
                 <field field_ref="tsol" level="1" />
-                <field field_ref="t2m" level="1" />
-                <field field_ref="t2m_min" level="10" operation="minimum" />
-                <field field_ref="t2m_max" level="10" operation="maximum" />
+                <field field_ref="tas" level="1" />
+                <field field_ref="tasmin" level="10" operation="minimum" />
+                <field field_ref="tasmax" level="10" operation="maximum" />
                 <field field_ref="t2m_ter" level="10" />
                 <field field_ref="t2m_lic" level="10" />
Index: dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histmth_lmdz.xml
===================================================================
--- dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histmth_lmdz.xml	(revision 4077)
+++ dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histmth_lmdz.xml	(revision 4078)
@@ -21,7 +21,7 @@
                 <field field_ref="slp"          level="1" />
                 <field field_ref="tsol"         level="1" />
-                <field field_ref="t2m"          level="1" />
-                <field field_ref="t2m_min" level="1" operation="minimum" />
-                <field field_ref="t2m_max" level="1" operation="maximum" />
+                <field field_ref="tas"          level="1" />
+                <field field_ref="tasmin" level="1" operation="minimum" />
+                <field field_ref="tasmax" level="1" operation="maximum" />
                 <field field_ref="t2m_ter" level="10" />
                 <field field_ref="t2m_lic" level="10" />
Index: dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histstn_lmdz.xml
===================================================================
--- dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histstn_lmdz.xml	(revision 4077)
+++ dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histstn_lmdz.xml	(revision 4078)
@@ -21,7 +21,7 @@
                 <field field_ref="slp" level="10" />
                 <field field_ref="tsol" level="10" />
-                <field field_ref="t2m" level="10" />
-                <field field_ref="t2m_min" level="10" operation="minimum" />
-                <field field_ref="t2m_max" level="10" operation="maximum" />
+                <field field_ref="tas" level="10" />
+                <field field_ref="tasmin" level="10" operation="minimum" />
+                <field field_ref="tasmax" level="10" operation="maximum" />
                 <field field_ref="t2m_ter" level="10" />
                 <field field_ref="t2m_lic" level="10" />
Index: dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/run_icosa.def
===================================================================
--- dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/run_icosa.def	(revision 4077)
+++ dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/run_icosa.def	(revision 4078)
@@ -38,5 +38,5 @@
 
 itau_check_conserv=100
-diagflux_on=.TRUE.
+diagflux=.TRUE.
 
 # ---------------------------------- Misc --------------------------------