Index: /dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/context_icosa.xml
===================================================================
--- /dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/context_icosa.xml	(revision 4078)
+++ /dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/context_icosa.xml	(revision 4079)
@@ -6,5 +6,5 @@
 <!--  <file_definition src="./filedef_debug.xml" /> -->     
   <file_definition src="./filedef_dcmip2016.xml" /> 
-  <file_definition src="./file_def_histday_icosa.xml"/>
+  <file_definition src="./file_def_histmth_icosa.xml"/>
 
   <!------------------------------------ input fields --------------------------------------->     
@@ -139,38 +139,11 @@
      </domain>
 
-    <!--------------------------------- Domains : output --------------------------------->
-     <domain id="regular_half_degree" type="rectilinear" ni_glo="720" nj_glo="360" >
-       <generate_rectilinear_domain />
-       <interpolate_domain order="1"/>
-     </domain> 
-     
-     <domain id="regular_one_degree" type="rectilinear" ni_glo="360" nj_glo="180" >
-       <generate_rectilinear_domain />
-       <interpolate_domain order="1"/>
-     </domain> 
-     
-     <domain id="regular_two_degree" type="rectilinear" ni_glo="180" nj_glo="90" >
-       <generate_rectilinear_domain />
-       <interpolate_domain order="1"/>
-     </domain> 
+  </domain_definition>    
 
-    <domain id="dom_96_95" ni_glo="96" nj_glo="95" type="rectilinear"  >
-      <generate_rectilinear_domain/>
-      <interpolate_domain order="1"/>
-    </domain>
+  <!--------------------------------- Domains : output --------------------------------->
 
-    <domain id="dom_144_142" ni_glo="144" nj_glo="142" type="rectilinear"  >
-      <generate_rectilinear_domain/>
-      <interpolate_domain order="1"/>
-    </domain>
+  <domain_definition src="domain_def.xml">
+  </domain_definition>    
 
-    <domain id="dom_512_360" ni_glo="512" nj_glo="360" type="rectilinear"  >
-      <generate_rectilinear_domain/>
-      <interpolate_domain order="1"/>
-    </domain>
-
-    <domain id="dom_out" domain_ref="dom_144_142"/>
-     
-  </domain_definition>    
   
   <!--------------------------------------- Grids --------------------------------------->
Index: /dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/context_lmdz.xml
===================================================================
--- /dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/context_lmdz.xml	(revision 4078)
+++ /dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/context_lmdz.xml	(revision 4079)
@@ -195,22 +195,7 @@
     </domain>
     
-    <domain id="dom_96_95" ni_glo="96" nj_glo="95" type="rectilinear"  >
-      <generate_rectilinear_domain/>
-      <interpolate_domain order="1"/>
-    </domain>
-
-    <domain id="dom_144_142" ni_glo="144" nj_glo="142" type="rectilinear"  >
-      <generate_rectilinear_domain/>
-      <interpolate_domain order="1"/>
-    </domain>
-
-    <domain id="dom_512_360" ni_glo="512" nj_glo="360" type="rectilinear"  >
-      <generate_rectilinear_domain/>
-      <interpolate_domain order="1"/>
-    </domain>
-
-    <domain id="dom_out" domain_ref="dom_144_142"/>
- 
   </domain_definition>
+
+  <domain_definition src="./domain_def.xml"/>
   
   <!-- Need to define a grid? Do it here -->
Index: /dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/example.sh
===================================================================
--- /dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/example.sh	(revision 4078)
+++ /dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/example.sh	(revision 4079)
@@ -78,6 +78,6 @@
 NB_MPI_DYNAMICO=160
 NB_MPI_XIOS=16
-NB_MPI_CE0L=16
-JOB_WALLTIME=7200
+WALLTIME_JOB=7200
+WALLTIME_CE0L=120
 EOF
     cp -fp $BASEDIR/*.sh $BASEDIR/*.xml $BASEDIR/*.def .
Index: namico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histday_icosa.xml
===================================================================
--- /dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histday_icosa.xml	(revision 4078)
+++ 	(revision )
@@ -1,45 +1,0 @@
-<file_definition >
-    <file_group id="defile">
-
-        <file id="histday_icosa" name="histday_icosa" output_freq="1d" sync_freq="10d" output_level="2" enabled="true" timeseries="none" time_counter="none">
-
-          <field_group domain_ref="dom_out" ts_enabled="true" freq_op="1d" expr="@this">
-            
-            <field_group operation="average" >
-
-              <!-- Transport diagnostics -->
-	      <field_group level="1" >
-		<field field_ref="mass_t"/>
-		<field field_ref="massflux_lon"/>
-		<field field_ref="massflux_lat"/>
-	      
-		<field field_ref="epot_t"/>
-		<field field_ref="epotflux_lon"/>
-		<field field_ref="epotflux_lat"/>
-	      
-		<field field_ref="ekin_t"/>
-		<field field_ref="ekinflux_lon"/>
-		<field field_ref="ekinflux_lat"/>
-	      
-		<field field_ref="enthalpy_t"/>
-		<field field_ref="enthalpyflux_lon"/>
-		<field field_ref="enthalpyflux_lat"/>
-	      </field_group>
-
-            </field_group>
-
-          </field_group>
-	  
-	  
-	  <field_group grid_ref="grid_q_out"  ts_enabled="true" freq_op="1d" expr="@this">
-            <field_group operation="average" >
-              <field field_ref="q" name="q"  />
-              <field field_ref="qmass_t"/>
-              <field field_ref="qflux_lon"/>
-              <field field_ref="qflux_lat"/>
-	    </field_group>
-	  </field_group>
-	  
-        </file>
-    </file_group>
-</file_definition>
Index: /dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histmth_icosa.xml
===================================================================
--- /dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histmth_icosa.xml	(revision 4079)
+++ /dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/file_def_histmth_icosa.xml	(revision 4079)
@@ -0,0 +1,45 @@
+<file_definition >
+    <file_group id="defile">
+
+        <file id="histmth_icosa" type="one_file" name="histmth_icosa" output_freq="1mo" sync_freq="1mo" output_level="10"  enabled="true" timeseries="none" time_counter="none">
+
+          <field_group domain_ref="dom_out" ts_enabled="true" freq_op="1d" expr="@this">
+            
+            <field_group operation="average" >
+
+              <!-- Transport diagnostics -->
+	      <field_group level="1" >
+		<field field_ref="mass_t"/>
+		<field field_ref="massflux_lon"/>
+		<field field_ref="massflux_lat"/>
+	      
+		<field field_ref="epot_t"/>
+		<field field_ref="epotflux_lon"/>
+		<field field_ref="epotflux_lat"/>
+	      
+		<field field_ref="ekin_t"/>
+		<field field_ref="ekinflux_lon"/>
+		<field field_ref="ekinflux_lat"/>
+	      
+		<field field_ref="enthalpy_t"/>
+		<field field_ref="enthalpyflux_lon"/>
+		<field field_ref="enthalpyflux_lat"/>
+	      </field_group>
+
+            </field_group>
+
+          </field_group>
+	  
+	  
+	  <field_group grid_ref="grid_q_out"  ts_enabled="true" freq_op="1d" expr="@this">
+            <field_group operation="average" >
+              <field field_ref="q" name="q"  />
+              <field field_ref="qmass_t"/>
+              <field field_ref="qflux_lon"/>
+              <field field_ref="qflux_lat"/>
+	    </field_group>
+	  </field_group>
+	  
+        </file>
+    </file_group>
+</file_definition>
Index: /dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/prepare.sh
===================================================================
--- /dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/prepare.sh	(revision 4078)
+++ /dynamico_lmdz/aquaplanet/CMIP5a/RUN_AQUAPLANET_DYNAMICO_LMDZ5/prepare.sh	(revision 4079)
@@ -66,5 +66,5 @@
 
 function sed_ce0l() {
-    def USING_SERVER false
+    def USING_SERVER true
     def CE0L yes
     def READ_START no
@@ -102,5 +102,8 @@
 cd ${MYDIR}
 rm -rf gcm.log *.nc xios_*.err xios_*.out gcm.log logs
-ln -s ../FILES_LMDZ/*.nc .
+
+symlink() { if [ -e \$1 ] ; then ln -s \$1 \$2 ; fi ; }
+
+for x in ../FILES_LMDZ/*.nc ; do ln -s \$x . ; done
 
 cat <<END  > killme.sh
@@ -116,7 +119,13 @@
 }
 
+function prologue_ce0l() {
+echo
+}
+
 function prologue_first() {
 cat <<EOF 
-ln -s store0/limit.nc store0/climoz_LMDZ.nc store0/startphy.nc .
+symlink store0/limit.nc .
+symlink store0/climoz_LMDZ.nc .
+symlink store0/startphy.nc .
 EOF
 }
@@ -124,7 +133,8 @@
 function prologue_next() {
 cat <<EOF 
-ln -s store0/limit.nc store0/climoz_LMDZ.nc .
-ln -s store_prev/restartphy.nc startphy.nc
-ln -s store_prev/restart.nc start.nc
+symlink store0/limit.nc .
+symlink store0/climoz_LMDZ.nc .
+symlink store_prev/restartphy.nc startphy.nc
+symlink store_prev/restart.nc start.nc
 EOF
 }
@@ -166,37 +176,16 @@
 
 function batch_X64_CURIE_ce0l() {
-cat <<EOF
-#!/bin/bash
-## Request name
-#MSUB -r ${EXPERIMENT}_ce0l_mpi
-#MSUB -q standard 
-#MSUB -A gen7548
-#MSUB -x
-## Number of tasks (=MPI processes) to use
-#MSUB -n $NB_MPI_CE0L
-## Elapsed time limit in seconds
-#MSUB -T 600
-## Quality of Service required (long [3 days], normal [1 day], test [30 min])
-#MSUB -Q normal
-
-$( prologue_all )
-date > gcm.log
-export OMP_NUM_THREADS=1
-ccc_mprun $ICOSA_LMDZ >> gcm.log
-date >> gcm.log
-$( epilogue_ce0l )
-$( epilogue_all )
-EOF
+batch_X64_CURIE ce0l $WALLTIME_CE0L
 }
 
 function batch_X64_CURIE_first() {
-batch_X64_CURIE first
+batch_X64_CURIE first $WALLTIME_JOB
 }
 
 function batch_X64_CURIE_next() {
-batch_X64_CURIE next
-}
-
-function batch_X64_CURIE() { # $1 = first or next
+batch_X64_CURIE next $WALLTIME_JOB
+}
+
+function batch_X64_CURIE() { # $1 = first or next $2 = walltime
 NB_MPI_TOTAL=$(( $NB_MPI_DYNAMICO + $NB_MPI_XIOS ))
 cat <<EOF
@@ -210,5 +199,5 @@
 #MSUB -n $NB_MPI_TOTAL
 ## Elapsed time limit in seconds
-#MSUB -T $JOB_WALLTIME
+#MSUB -T $2
 ## Quality of Service required (long [3 days], normal [1 day], test [30 min])
 #MSUB -Q normal