Index: /dynamico_lmdz/guided/Experiments/NUDG_ERA/field_def.xml
===================================================================
--- /dynamico_lmdz/guided/Experiments/NUDG_ERA/field_def.xml	(revision 4155)
+++ /dynamico_lmdz/guided/Experiments/NUDG_ERA/field_def.xml	(revision 4155)
@@ -0,0 +1,119 @@
+<field_definition level="1" enabled=".TRUE." operation="instant">
+  
+  <field_group id="standard_output"> 
+    
+    <field id="timestep" grid_ref="scalar" unit="s"/>
+    <field id="preff" grid_ref="scalar"    unit="Pa"/>
+    <field id="ap" axis_ref="levp1"   long_name="hybrid A coefficient at layer interface" />
+    <field id="bp" axis_ref="levp1"  long_name="hybrid B coefficient at layer interface" />
+    <field id="mid_ap" axis_ref="lev"   long_name="hybrid A coefficient at midpoints" />
+    <field id="mid_bp" axis_ref="lev"  long_name="hybrid B coefficient at midpoints" />
+    
+    <field_group domain_ref="i">
+      <field id="ps" />
+      <field id="dps"  />
+      <field id="Ai" />
+      <field id="phis" />
+      <field id="phi" />
+      <field id="precl" />
+      <field id="Q1_col_int" />     
+      <field id="Q2_col_int" />     
+      <field id="ps_init" />
+      
+      <field_group axis_ref="lev"> 
+        <field id="mass" />
+        <field id="p" />
+        <field id="dmass"/>
+        <field id="theta" />
+        <field id="dyn_q" />
+        <field id="pk"/>
+        <field id="ulon"/>
+        <field id="ulat"/>
+        <field id="uz"/>
+        <field id="omega"/>
+        <field id="temp"/>
+        <field id="kinetic_trisk"/>
+        <field id="kinetic"/>
+        <field id="dulon_diss1"/>
+        <field id="dulat_diss1"/>
+        <field id="dulon_diss2"/>
+        <field id="dulat_diss2"/>
+        
+        <field id="mass_init" />
+        <field id="p_init" />
+        <field id="theta_init" />
+        <field id="dyn_q_init" />
+        <field id="ulon_init"/>
+        <field id="ulat_init"/>
+        <field id="uz_init"/>
+        <field id="temp_init"/>
+        <field id="kinetic_trisk_init"/>
+        <field id="kinetic_init"/>
+        
+        <field id="mass_t"           long_name="Time-averaged air mass"   unit="kg/m2"/>
+        <field id="massflux_lon"     long_name="Time-averaged air mass flux, zonal"   unit="kg/m/s"/>
+        <field id="massflux_lat"     long_name="Time-averaged air mass flux, meridional"   unit="kg/m/s"/>
+
+        <field id="ulon_t"           long_name="Time-averaged zonal momentum"   unit="kg/m/s"/>
+        <field id="ulonflux_lon"     long_name="Time-averaged zonal momentum flux, zonal"   unit="kg/s2"/>
+        <field id="ulonflux_lat"     long_name="Time-averaged zonal momentum flux, meridional"   unit="kg/s2"/>
+
+        <field id="theta_t"          long_name="Time-averaged potential temperature"   unit="K.kg/m2"/>
+        <field id="thetaflux_lon"    long_name="Time-averaged potential temperature flux, zonal"   unit="K.kg/m/s"/>
+        <field id="thetaflux_lat"    long_name="Time-averaged potential temperature flux, meridional"   unit="K/kg/m/s"/>
+
+        <field id="epot_t"           long_name="Time-averaged potential energy"   unit="J/m2"/>
+        <field id="epotflux_lon"     long_name="Time-averaged potential energy flux, zonal"   unit="J/m/s"/>
+        <field id="epotflux_lat"     long_name="Time-averaged potential energy flux, meridional"   unit="J/m/s"/>
+
+        <field id="ekin_t"           long_name="Time-averaged kinetic energy"   unit="J/m2"/>
+        <field id="ekinflux_lon"     long_name="Time-averaged kinetic energy flux, zonal"   unit="J/m/s"/>
+        <field id="ekinflux_lat"     long_name="Time-averaged kinetic energy flux, meridional"   unit="J/m/s"/>
+        
+        <field id="enthalpy_t"       long_name="Time-averaged enthalpy"   unit="J/m2"/>
+        <field id="enthalpyflux_lon" long_name="Time-averaged enthalpy flux, zonal"   unit="J/m/s"/>
+        <field id="enthalpyflux_lat" long_name="Time-averaged enthalpy flux, meridional"   unit="J/m/s"/>
+
+        <field id="dulon_phys"       long_name="Physics tendency for zonal velocity"   unit="m/s^2"/>
+        <field id="dulat_phys"       long_name="Physics tendency for meridional velocity"   unit="m/s^2"/>
+
+      </field_group>
+
+      <field id="u850" />
+      <field id="v850" />
+      <field id="w850" />
+      <field id="t850" />
+      <field id="omega850"/>                  
+      <field id="u500" />
+      <field id="v500" />
+      <field id="w500" />
+      <field id="t500" />
+      <field id="omega500"/>                  
+      <field id="SST"/>
+      
+      <field id="ulon_850_500" field_ref="p" axis_ref="lev_pressure" />
+      
+      <field_group axis_ref="levp1"> 
+        <field id="geopot"/>
+        <field id="geopot_init"/>
+      </field_group>
+    </field_group> 
+
+    <field_group grid_ref="grid_q">
+      <field id="q_init" />
+      <field id="q" />
+      <field id="qmass_t" />
+      <field id="qflux_lon" />
+      <field id="qflux_lat" />
+    </field_group> 
+
+    <field_group domain_ref="v" axis_ref="lev">
+      <field id="vort" />
+      <field id="pv" />
+    </field_group>
+    
+  </field_group>
+  
+  
+</field_definition>
+
Index: /dynamico_lmdz/guided/Experiments/NUDG_ERA/filedef_dcmip2016.xml
===================================================================
--- /dynamico_lmdz/guided/Experiments/NUDG_ERA/filedef_dcmip2016.xml	(revision 4155)
+++ /dynamico_lmdz/guided/Experiments/NUDG_ERA/filedef_dcmip2016.xml	(revision 4155)
@@ -0,0 +1,113 @@
+<file_definition > 
+
+  <file id="output_dcmip2016_native" convention="CF" enabled="false" output_freq="1h" sync_freq="1h" output_level="10" timeseries="none" description="DCMIP41" > 
+    
+    <field_group id="dcmip2016_output_field_once" operation="once" freq_offset="0ts" ts_enabled="true">
+      <field field_ref="timestep" name="mdt" />
+      <field field_ref="preff" name="P0" long_name="reference pressure" />
+      <field field_ref="ap" name="hyai"   />
+      <field field_ref="bp" name="hybi"   />
+      <field field_ref="mid_ap" name="hyam"   />
+      <field field_ref="mid_bp" name="hybm"   />
+    </field_group>
+    
+    <field_group id="init_fields" operation="once" freq_offset="0ts" ts_enabled="true">
+      <field field_ref="temp_init"   />
+      <field field_ref="uz_init"     />
+      <field field_ref="ulon_init"   />
+      <field field_ref="ulat_init"   />
+      <field field_ref="p_init"      />
+      <field field_ref="ps_init"     />
+      <field field_ref="mass_init"   />
+      <field field_ref="geopot_init" />
+    </field_group>
+    
+    <field_group id="nudging_fields" ts_enabled="true">
+      <field field_ref="ulon_guided_out" name="U_guided"  unit="m/s"/>
+      <field field_ref="ulat_guided_out" name="V_guided"      unit="m/s"/>
+      <field field_ref="T_guided_out" name="T_guided"      unit="m/s"/>
+    </field_group>
+
+    <field_group id="dcmip2016_output_field" ts_enabled="true">
+      <field field_ref="ps" name="PS"       standard_name="surface_pressure" long_name="Surface pressure"         unit="Pa" />
+      <field field_ref="phis" operation="once" freq_offset="0ts" name="PHIS"   standard_name="surface_geopotential" long_name="Surface geopotential" unit="m2/m2"/>
+      <field field_ref="geopot"  name="PHI"   standard_name="geopotential" long_name="geopotential" unit="m2/s2"/>
+      <field field_ref="ulon" name="U"      standard_name="eastward_wind" long_name="Zonal wind"                  unit="m/s"/>
+      <field field_ref="ulat" name="V"      standard_name="northward_wind" long_name="Meridional wind"            unit="m/s"/>
+      <field field_ref="uz" name="W"        standard_name="upward_air_velocity" long_name="Vertical velocity"     unit="m/s"/>
+      <field field_ref="omega" name="OMEGA"        standard_name="lagrangian_tendency_of_air_pressure" long_name="Vertical pressure velocity"     unit="Pa/s"/>
+      <field field_ref="p"  name="P"        standard_name="air_pressure" long_name="Pressure"     unit="Pa"/>
+      <field field_ref="temp"  name="T"        standard_name="air_temperature" long_name="Temperature"     unit="K"/>
+      <field field_ref="precl"  name="PRECT"     standard_name="rainfall_rate"  long_name="Large Scale precipitation rate"  unit="m/s"/>
+      <field field_ref="Q1_col_int"  name="Q1_col_int"      long_name="Single chlorine column integrated mixing ratio"  unit="kg/m2"/> 
+      <field field_ref="Q2_col_int"  name="Q2_col_int"      long_name="Chlorine gas column integrated mixing ratio"  unit="kg/m2"/> 
+      <field field_ref="u850" name="U850"       long_name="Zonal wind at 850 hPa"      unit="m/s"/>
+      <field field_ref="v850" name="V850"       long_name="Meridional wind at 850 hPa"   unit="m/s"/>
+      <field field_ref="w850" name="W850"       long_name="Vertical velocity at 850 hPa"     unit="m/s"/>
+      <field field_ref="t850" name="T850"       long_name="Temperature at 850 hPa"   unit="K"/>
+      <field field_ref="omega850" name="OMEGA850"   long_name="Vertical pressure velocity at 850 hPa"     unit="Pa/s"/>
+      <field field_ref="u500" name="U500"       long_name="Zonal wind at 500 hPa"      unit="m/s"/>
+      <field field_ref="v500" name="V500"       long_name="Meridional wind at 850 hPa"   unit="m/s"/>
+      <field field_ref="w850" name="W500"       long_name="Vertical velocity at 500 hPa"     unit="m/s"/>
+      <field field_ref="t500" name="T500"       long_name="Temperature at 850 hPa"   unit="K"/>
+      <field field_ref="omega500" name="OMEGA500"   long_name="Vertical pressure velocity at 500 hPa"     unit="Pa/s"/>
+      <field field_ref="SST" name="SST"       long_name="Sea surface temperature"   unit="K"/>
+      
+      <field field_ref="mass_t" name="mass_t"                   long_name="Time-averaged air mass"   unit="kg/m2"/>
+      <field field_ref="massflux_lon" name="massflux_lon"       long_name="Time-averaged air mass flux, zonal"   unit="kg/m/s"/>
+      <field field_ref="massflux_lat" name="massflux_lat"       long_name="Time-averaged air mass flux, meridional"   unit="kg/m/s"/>
+
+      <field field_ref="epot_t" name="epot_t"                   long_name="Time-averaged potential energ"   unit="J/m2"/>
+      <field field_ref="epotflux_lon" name="epotflux_lon"       long_name="Time-averaged potential energy flux, zonal"   unit="J/m/s"/>
+      <field field_ref="epotflux_lat" name="epotflux_lat"       long_name="Time-averaged potential energy flux, meridional"   unit="J/m/s"/>
+
+      <field field_ref="ekin_t" name="ekin_t"                   long_name="Time-averaged kinetic energ"   unit="J/m2"/>
+      <field field_ref="ekinflux_lon" name="ekinflux_lon"       long_name="Time-averaged kinetic energy flux, zonal"   unit="J/m/s"/>
+      <field field_ref="ekinflux_lat" name="ekinflux_lat"       long_name="Time-averaged kinetic energy flux, meridional"   unit="J/m/s"/>
+
+      <field field_ref="enthalpy_t" name="enthalpy_t"                   long_name="Time-averaged enthalpy"   unit="J/m2"/>
+      <field field_ref="enthalpyflux_lon" name="enthalpyflux_lon"       long_name="Time-averaged enthalpy flux, zonal"   unit="J/m/s"/>
+      <field field_ref="enthalpyflux_lat" name="enthalpyflux_lat"       long_name="Time-averaged enthalpy flux, meridional"   unit="J/m/s"/>
+
+    </field_group>
+
+    <variable name="model" type="string" > dynamico </variable>
+    <variable name="test_case" type="string" > DCMIP41 </variable>
+    <variable name="horizontal_resolution" type="string" > native (grid points : 80x80x10) </variable>
+    <variable name="levels" type="string" > L10 </variable>
+    <variable name="grid" type="string" > hex </variable>
+    <variable name="equation" type="string" > hydro </variable>
+    <variable name="time_frequency" type="string" > 24h </variable>    
+
+  </file>
+
+
+  <file id="output_dcmip2016_regular" enabled="true" output_freq="1d" sync_freq="1d" output_level="10" description="DCMIP41" timeseries="none" > 
+    
+    <field_group group_ref="dcmip2016_output_field_once"/>
+
+    <field_group group_ref="init_fields" domain_ref="regular_two_degree" />
+    
+    <field_group group_ref="dcmip2016_output_field" domain_ref="regular_two_degree" />
+
+    <field_group group_ref="nudging_fields" domain_ref="regular_two_degree" />
+
+    <field_group id="transport" ts_enabled="true" grid_ref="grid_q_regular" >
+          <field field_ref="q" name="q"  />
+          <field field_ref="qmass_t" name="qmass_t"  long_name="Time-averaged tracer mass"   unit="kg/m2"/>
+          <field field_ref="qflux_lon" name="qflux_lon"  long_name="Time-averaged tracer mass flux, zonal"   unit="kg/m/s"/>
+          <field field_ref="qflux_lat" name="qflux_lat"  long_name="Time-averaged tracer mass flux, meridional"   unit="kg/m/s"/>
+    </field_group>
+
+    <variable name="model" type="string" > dynamico </variable>
+    <variable name="test_case" type="string" > DCMIP41 </variable>
+    <variable name="horizontal_resolution" type="string" > two_degree interpolated (grid points : 80 x 80 x 10) </variable>
+    <variable name="levels" type="string" > L30 </variable>
+    <variable name="grid" type="string" > hex </variable>
+    <variable name="equation" type="string" > hydro </variable>
+    <variable name="time_frequency" type="string" > 24h </variable>    
+
+  </file>
+
+
+</file_definition>
Index: /dynamico_lmdz/guided/Experiments/NUDG_ERA/icosa.xml
===================================================================
--- /dynamico_lmdz/guided/Experiments/NUDG_ERA/icosa.xml	(revision 4155)
+++ /dynamico_lmdz/guided/Experiments/NUDG_ERA/icosa.xml	(revision 4155)
@@ -0,0 +1,177 @@
+<context id="icosagcm" >
+  <calendar type="d360" start_date="2019-01-01 00:00:00" time_origin="2019-01-01 00:00:00"/>
+  
+  <field_definition src="./field_def.xml" />
+
+  <file_definition src="./filedef_dcmip2016.xml" /> 
+
+  <file_definition type="one_file" par_access="collective">
+
+    <file id="output" name="output" enabled=".FALSE."  output_freq="2h" sync_freq="2h" output_level="10" >
+      <field_group group_ref="standard_output"/>
+    </file>
+
+<!---
+
+    <file id="guided" name="guided_input" output_freq="1ts" cyclic="true" enabled="true" mode="read">
+       <field_group enabled="true" domain_ref="domain_guided" freq_offset="1ts" operation="instant"> 
+          <field id="T_guided"    name="T"   axis_ref="lev" />
+          <field id="ulon_guided" name="U"   axis_ref="lev" />
+          <field id="ulat_guided" name="V"   axis_ref="lev" />
+       </field_group>
+    </file>
+--->
+
+    <file id="guided" name="ERA4" output_freq="1d" enabled="true" mode="read">
+       <field_group enabled="true" domain_ref="domain_guided" freq_offset="1ts" operation="instant" freq_op="1d">
+          <field id="T_guided"    name="t"   axis_ref="lev_guided" scale_factor="0.00211281711159895" add_offset="249.62701823744"/>
+          <field id="ulon_guided" name="u"   axis_ref="lev_guided" scale_factor="0.00428658392668996" add_offset="25.9159551577437"/>
+          <field id="ulat_guided" name="v"   axis_ref="lev_guided" scale_factor="0.00310116627116181" add_offset="15.7956601102238"/>
+          <field id="ps_guided" name="PS" />
+       </field_group>
+    </file>
+
+    <file id="test_guided" output_freq="1ts" enabled="true" sync_freq="10ts" >
+       <field_group enabled="true" domain_ref="i" operation="instant">
+          <field id="ulon_guided_out" name="U"   axis_ref="lev" />
+          <field id="ulat_guided_out" name="V"   axis_ref="lev" />
+          <field id="T_guided_out" name="T"   axis_ref="lev" />
+          <field id="PS_guided_out" name="PS" />
+       </field_group>
+    </file>
+
+    <file id="restart" name="restart" enabled="true">
+       <field_group id="group_restart" operation="once"> 
+          <field id="it_restart" name="iteration"  grid_ref="scalar" />
+          <field id="q_restart" name="q"  grid_ref="grid_q" />
+          <field_group domain_ref="i"> 
+             <field id="ps_restart" name="ps" />
+             <field id="phis_restart" name="phis" />
+             <field_group axis_ref="lev" >
+                <field id="theta_rhodz_restart" name="theta_rhodz" />
+                <field id="u_restart" name="u" domain_ref="u"/>
+                <field id="ulon_restart" name="ulon" />
+                <field id="ulat_restart" name="ulat" />
+             </field_group>
+             <field_group axis_ref="levp1" >
+                <field id="W_restart" name="W" />
+                <field id="geopot_restart" name="geopot" />
+             </field_group>
+          </field_group>
+       </field_group>
+    </file>
+
+    <file id="start" name="start" enabled="false" mode="read">
+       <field_group id="group_start" operation="once"> 
+          <field id="it_start" name="iteration"  grid_ref="scalar" enabled="false"/>
+          <field id="q_start" name="q"  grid_ref="grid_q_read" />
+          <field_group domain_ref="i"> 
+             <field id="ps_start" name="ps" />
+             <field id="phis_start" name="phis" />
+             <field_group axis_ref="lev_read" >
+                <field id="theta_rhodz_start" name="theta_rhodz" />
+                <field id="u_start" name="u" domain_ref="u"/>
+                <field id="ulon_start" name="ulon" />
+                <field id="ulat_start" name="ulat" />
+             </field_group>
+             <field_group axis_ref="levp1" >
+                <field id="W_start" name="W" />
+                <field id="geopot_start" name="geopot" />
+             </field_group>
+          </field_group>
+       </field_group>
+    </file>
+
+    
+  </file_definition>
+    
+  <axis_definition>
+    <axis id="lev" name="lev" positive="down" standard_name="atmopshere_hybrid_sigma_pressure_coordinate" long_name="hybrid level at midpoints" />
+    <axis id="lev_read" />
+    <axis id="levp1" name="ilev"  unit="level" positive="down" standard_name="atmopshere_hybride_sigma_pressure_coordinate" long_name="hybrid level at interface" />
+    <axis id="lev_pressure" positive="down"  n_glo="2" unit="Pa" value="(0,1)[85000 50000]" >
+      <interpolate_axis order="2" coordinate="p" />
+    </axis>    
+    <axis id="nq" name="nq" n_glo="5" value="(0,4)[1 2 3 4 5]"/>
+
+    <axis id="lev_guided" />
+    <axis id="presnivs_mb" >
+      <interpolate_axis order="2" /> 
+    </axis>
+
+  </axis_definition>    
+  
+  <domain_definition>
+    
+     <domain_group id="i"> 
+       <domain id="i" name="mesh"/>    
+
+         <domain id="from_guided" >
+           <interpolate_domain order="2"/>
+         </domain>
+ 
+     </domain_group> 
+     
+     
+     <domain id="v" />
+     <domain id="u" />
+     
+     <domain id="regular_half_degree" type="rectilinear" ni_glo="720" nj_glo="360" >
+       <generate_rectilinear_domain />
+       <interpolate_domain order="2"/>
+     </domain> 
+     
+     <domain id="regular_one_degree" type="rectilinear" ni_glo="360" nj_glo="180" >
+       <generate_rectilinear_domain />
+       <interpolate_domain order="2"/>
+     </domain> 
+     
+     <domain id="regular_two_degree" type="rectilinear" ni_glo="180" nj_glo="90" >
+       <generate_rectilinear_domain />
+       <interpolate_domain order="2"/>
+     </domain> 
+
+       <domain id="domain_guided" type="rectilinear">
+         <generate_rectilinear_domain />
+       </domain> 
+     
+  </domain_definition>    
+  
+  <grid_definition>    
+    <grid id="scalar">
+      <scalar />
+    </grid>
+    
+    <grid id="grid_q">
+      <domain domain_ref="i" />
+      <axis axis_ref="lev" />
+      <axis axis_ref="nq" />
+    </grid >
+
+    <grid id="grid_q_read">
+      <domain domain_ref="i" />
+      <axis axis_ref="lev_read" />
+      <axis axis_ref="nq" />
+    </grid >
+ 
+    <grid id="grid_q_regular">
+      <domain domain_ref="regular_two_degree" />
+      <axis axis_ref="lev" />
+      <axis axis_ref="nq" />
+    </grid >
+  </grid_definition>   
+
+  <field_definition>
+     
+      <field_group id="guided_read"  domain_ref="from_guided" read_access="true">
+            <field_group axis_ref="presnivs_mb">
+              <field     id="T_guided_read"    field_ref="T_guided" />
+              <field     id="ulon_guided_read" field_ref="ulon_guided" />
+              <field     id="ulat_guided_read" field_ref="ulat_guided" />
+            </field_group>
+         <field id="ps_guided_read" field_ref="ps_guided" />
+      </field_group>
+
+  </field_definition>
+  
+</context>
Index: /dynamico_lmdz/guided/Experiments/NUDG_ERA/iodef.xml
===================================================================
--- /dynamico_lmdz/guided/Experiments/NUDG_ERA/iodef.xml	(revision 4155)
+++ /dynamico_lmdz/guided/Experiments/NUDG_ERA/iodef.xml	(revision 4155)
@@ -0,0 +1,19 @@
+<?xml version="1.0"?>
+<simulation> 
+	<context  id="xios">
+		<variable_definition>
+                <variable id="print_file" type="bool"> true </variable> 
+       		<variable_group id="buffer">
+                 <variable id="min_buffer_size" type="double">1000000</variable>
+                 <variable id="buffer_size_factor" type="double">4</variable>
+                 <variable id="recv_field_timeout" type="double">500</variable>
+         	</variable_group>
+
+        	<variable_group id="parameters" >
+        		<variable id="using_server" type="bool">false</variable>
+        		<variable id="info_level" type="int">100</variable>
+        	</variable_group>
+		</variable_definition>
+	</context>
+        <context id="icosagcm" src="./icosa.xml" /> 
+</simulation>
Index: /dynamico_lmdz/guided/Experiments/NUDG_ERA/job.sh
===================================================================
--- /dynamico_lmdz/guided/Experiments/NUDG_ERA/job.sh	(revision 4155)
+++ /dynamico_lmdz/guided/Experiments/NUDG_ERA/job.sh	(revision 4155)
@@ -0,0 +1,65 @@
+#!/bin/bash
+#PBS -N NUDG_mpi_omp
+#PBS -q day
+#PBS -n
+#PBS -l nodes=1:ppn=40
+#PBS -l walltime=20:30:00
+#PBS -l mem=120gb
+#PBS -l vmem=120gb
+
+#####comment:PBS -l mem=31922327552,ncpus=60
+#Jobs start in the HOME directory, cd to submitted directory
+cd "$PBS_O_WORKDIR"
+
+############################################################
+NCPU=$(wc -l < $PBS_NODEFILE)
+awk "NR % 4 == 0" $PBS_NODEFILE | head -n 40 > nodelist.txt
+
+echo ------------------JOB SUMMARY--------------------------
+echo 'PBS OUT: Job allocated on: '${NCPU}' cpu(s)'
+echo 'PBS OUT: Job running on the following node(s): '
+cat nodelist.txt
+echo -------------------------------------------------------
+echo PBS OUT: Job running on: $PBS_O_HOST
+echo PBS OUT: Originating queue: $PBS_O_QUEUE
+echo PBS OUT: Executing queue: $PBS_QUEUE
+echo PBS OUT: Work directory: $PBS_O_WORKDIR
+echo PBS OUT: Execution mode: $PBS_ENVIRONMENT
+echo PBS OUT: Job identifier: $PBS_JOBID
+echo PBS OUT: Job name: $PBS_JOBNAME
+echo PBS OUT: Node file: $PBS_NODEFILE
+echo PBS OUT: Current home directory: $PBS_O_HOME
+echo PBS OUT: PATH= $PBS_O_PATH
+echo -------------------------------------------------------
+
+
+export OMP_NUM_THREADS=1
+export OMP_STACKSIZE=128M
+ulimit -s unlimited
+
+module purge
+module load gnu/4.9.3
+module load intel/15.0.6.233
+module load openmpi/1.6.5-ifort
+module load hdf5/1.8.18-parallel-ifort
+module load netcdf4/4.4.1.1-parallel-ifort
+
+rm -rf gcm.log logs *.nc netcdf
+ln -sf  ../../Data/*.nc .
+ln -sf ../../build/bin/icosa_gcm.exe gcm.exe
+
+mpirun -np 40 -cpus-per-proc $OMP_NUM_THREADS -bycore -bind-to-core -report-bindings ./gcm.exe >> gcm.log
+#gdb ./gcm.exe >> gcm.log
+date >> gcm.log
+
+mkdir -p netcdf
+cp gcm.log *.def netcdf
+mv *.nc netcdf
+
+mkdir -p logs
+cp *.xml logs
+#cp -pr /mnt/homedafs-2.5/lov/homedata/jsethunadh/testing/build_mpi_omp/bin/icosa_gcm.exe logs
+#cp -pr /mnt/homedafs-2.5/lov/homedata/jsethunadh/testing/DYNAMICO_devel/src logs
+mv xios_client_*.err xios_client_*.out gcm.log logs
+
+
Index: /dynamico_lmdz/guided/Experiments/NUDG_ERA/run.def
===================================================================
--- /dynamico_lmdz/guided/Experiments/NUDG_ERA/run.def	(revision 4155)
+++ /dynamico_lmdz/guided/Experiments/NUDG_ERA/run.def	(revision 4155)
@@ -0,0 +1,48 @@
+grid_type = icosahedral
+
+#------------- Planet ---------------
+radius=6.37122e6
+omega=7.292e-5
+g=9.80616
+cpp=1004.5
+kappa=0.2857143
+preff=1e5
+#------------- Nudging  ------------
+guided_type=nudging
+guided_nudging_field=wind
+nudging_center_lat=90.
+#nudging_radius=1.5e7
+nudging_radius=0.
+nudging_relaxation_time=21600.
+#nudging_time=86400
+nudging_time=86400
+dcmip4_up0=0
+#------------- Dynamics  ------------
+#-------------- Mesh ----------------
+#nbp=80
+nbp=40
+nsplit_i=2
+nsplit_j=2
+optim_it=500
+llm=30
+disvert=ncarl30
+#------------ Numerics --------------
+dt=300
+nqtot=2
+itau_adv=3
+#----------- Dissipation ------------
+nitergdiv=2
+tau_graddiv=10000
+nitergrot=2
+tau_gradrot=10000
+niterdivgrad=2
+tau_divgrad=10000
+#-------------- Physics -------------
+#---------------- Run ---------------
+run_length=5184000
+#write_period=3600
+write_period=300
+etat0=dcmip4
+dcmip4_testcase=1
+#------------ Diagnostics -----------
+diagflux=.TRUE.